Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.event.entity
Class TaskEventFactory

    java.lang.Object
      org.jbpm.task.event.entity.TaskEventFactory

    public class TaskEventFactory

extends Object

Constructor Summary
`TaskEventFactory()`

Method Summary
`static TaskUserEvent` | `createClaimedEvent(long taskId, String userId)`
`static TaskUserEvent` | `createCompletedEvent(long taskId, String userId)`
`static TaskUserEvent` | `createCreatedEvent(long taskId, String userId)`
`static TaskUserEvent` | `createFailedEvent(long taskId, String userId)`
`static TaskUserEvent` | `createForwardedEvent(long taskId, String userId)`
`static TaskUserEvent` | `createReleasedEvent(long taskId, String userId)`
`static TaskUserEvent` | `createSkippedEvent(long taskId, String userId)`
`static TaskUserEvent` | `createStartedEvent(long taskId, String userId)`
`static TaskUserEvent` | `createStoppedEvent(long taskId, String userId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskEventFactory

    public TaskEventFactory()

Method Detail

### createCreatedEvent

    public static TaskUserEvent createCreatedEvent(long taskId,
                                                   String userId)

### createClaimedEvent

    public static TaskUserEvent createClaimedEvent(long taskId,
                                                   String userId)

### createCompletedEvent

    public static TaskUserEvent createCompletedEvent(long taskId,
                                                     String userId)

### createFailedEvent

    public static TaskUserEvent createFailedEvent(long taskId,
                                                  String userId)

### createForwardedEvent

    public static TaskUserEvent createForwardedEvent(long taskId,
                                                     String userId)

### createReleasedEvent

    public static TaskUserEvent createReleasedEvent(long taskId,
                                                    String userId)

### createSkippedEvent

    public static TaskUserEvent createSkippedEvent(long taskId,
                                                   String userId)

### createStartedEvent

    public static TaskUserEvent createStartedEvent(long taskId,
                                                   String userId)

### createStoppedEvent

    public static TaskUserEvent createStoppedEvent(long taskId,
                                                   String userId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.